#pragma once

#include <boost\test\unit_test.hpp>
#include <nlite_common\unit_test.h>





BOOST_AUTO_TEST_SUITE(common_test_suite)

	BOOST_AUTO_TEST_CASE(init_nlite_test_common){
	
		::CoInitialize(NULL);

	}

	BOOST_AUTO_TEST_CASE(unit_test_cookie){
	
		UnitTest();

	}


	BOOST_AUTO_TEST_CASE(finalize_test_common){
	
		::CoUninitialize();
	}

BOOST_AUTO_TEST_SUITE_END()